# DeregisterMarkerProcessor(string)

Method in [LineProviderBehaviour](/api/csharp/yarn.unity/yarn.unity.lineproviderbehaviour.md)

## Summary

Removes all marker processors that handle markers named `attributeName` .

```csharp
public abstract void DeregisterMarkerProcessor(string attributeName);
```

## Parameters

| Name                   | Description                                      |
| ---------------------- | ------------------------------------------------ |
| `string` attributeName | The name of the marker to remove processors for. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/api/csharp/yarn.unity/yarn.unity.lineproviderbehaviour/yarn.unity.lineproviderbehaviour.deregistermarkerprocessor.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
